Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.elencodipendenti
Class Dipendente

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.elencodipendenti.Dipendente

    public class Dipendente

extends java.lang.Object

Dati di dettaglio del dipendente.

Field Summary
`private int` | `codAziendaSanitaria` Codice nazionale dell'azienda sanitaria.
`private java.lang.String` | `codiceFiscale` Codice fiscale.
`private java.lang.String` | `cognome` Cognome.
`private java.lang.String` | `dataNascita` Data di nascita.
`private java.lang.String` | `descAziendaSanitaria` Descrizione dell'azienda sanitaria.
`private java.lang.String` | `nome` Nome.
`private long` | `numMatricola` Numero di matricola.

Constructor Summary
`Dipendente()`

Method Summary
`int` | `getCodAziendaSanitaria()`
`java.lang.String` | `getCodiceFiscale()`
`java.lang.String` | `getCognome()`
`java.lang.String` | `getDataNascita()`
`java.lang.String` | `getDescAziendaSanitaria()`
`java.lang.String` | `getNome()`
`long` | `getNumMatricola()`
`void` | `setCodAziendaSanitaria(int codAziendaSanitaria)`
`void` | `setCodiceFiscale(java.lang.String codiceFiscale)`
`void` | `setCognome(java.lang.String cognome)`
`void` | `setDataNascita(java.lang.String dataNascita)`
`void` | `setDescAziendaSanitaria(java.lang.String descAziendaSanitaria)`
`void` | `setNome(java.lang.String nome)`
`void` | `setNumMatricola(long numMatricola)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceFiscale

    @Facets(pattern="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?")
    private java.lang.String codiceFiscale

  Codice fiscale.

### cognome

    private java.lang.String cognome

  Cognome.

### nome

    private java.lang.String nome

  Nome.

### dataNascita

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataNascita

  Data di nascita.

### numMatricola

    @Facets(totalDigits=10L)
    private long numMatricola

  Numero di matricola.

### codAziendaSanitaria

    private int codAziendaSanitaria

  Codice nazionale dell'azienda sanitaria.

### descAziendaSanitaria

    private java.lang.String descAziendaSanitaria

  Descrizione dell'azienda sanitaria.

Constructor Detail

### Dipendente

    public Dipendente()

Method Detail

### setCodiceFiscale

    public void setCodiceFiscale(java.lang.String codiceFiscale)

### getCodiceFiscale

    public java.lang.String getCodiceFiscale()

### setCognome

    public void setCognome(java.lang.String cognome)

### getCognome

    public java.lang.String getCognome()

### setNome

    public void setNome(java.lang.String nome)

### getNome

    public java.lang.String getNome()

### setDataNascita

    public void setDataNascita(java.lang.String dataNascita)

### getDataNascita

    public java.lang.String getDataNascita()

### setNumMatricola

    public void setNumMatricola(long numMatricola)

### getNumMatricola

    public long getNumMatricola()

### setCodAziendaSanitaria

    public void setCodAziendaSanitaria(int codAziendaSanitaria)

### getCodAziendaSanitaria

    public int getCodAziendaSanitaria()

### setDescAziendaSanitaria

    public void setDescAziendaSanitaria(java.lang.String descAziendaSanitaria)

### getDescAziendaSanitaria

    public java.lang.String getDescAziendaSanitaria()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD